Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.exportrepository
Class JobEntryExportRepository

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.exportrepository.JobEntryExportRepository

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryExportRepository

extends JobEntryBase
implements Cloneable, JobEntryInterface

This defines a 'Export repository' job entry. Its main use would be export repository objects to a XML file that can be used to control the flow in ETL cycles.

Since:
  04-06-2008
Author:
  Samatar

Field Summary
`String` | `Export_All`
`String` | `Export_By_Folder`
`String` | `Export_Jobs`
`String` | `Export_One_Folder`
`String` | `Export_Trans`
`String` | `If_FileExists_Fail`
`String` | `If_FileExists_Overwrite`
`String` | `If_FileExists_Skip`
`String` | `If_FileExists_Uniquename`
`String` | `SUCCESS_IF_ERRORS_LESS`
`String` | `SUCCESS_IF_NO_ERRORS`

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryExportRepository()`
`JobEntryExportRepository(JobEntryBase jeb)`
`JobEntryExportRepository(String n)`

Method Summary
`String` | `buildFilename(String filename)`
`String` | `buildUniqueFilename(String filename)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`Object` | `clone()`
`boolean` | `evaluates()` check whether or not this job entry evaluates.
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result previousResult, int nr, Repository rep, Job parentJob)`
`String` | `getDateTimeFormat()`
`String` | `getDirectory()`
`String` | `getExportType()`
`String` | `getIfFileExists()`
`String` | `getNrLimit()`
`String` | `getPassword()`
`String` | `getRepositoryname()`
`String` | `getSuccessCondition()`
`String` | `getTargetfilename()`
`String` | `getUsername()`
`String` | `getXML()`
`boolean` | `isAddDate()`
`boolean` | `isAddresultfilesname()`
`boolean` | `isAddTime()`
`boolean` | `isCreateFolder()`
`boolean` | `isNewFolder()`
`boolean` | `isSpecifyFormat()`
`void` | `loadRep(Repository rep, long id_jobentry, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`
`static void` | `main(String[] args)`
`void` | `saveRep(Repository rep, long id_job)`
`void` | `setAddDate(boolean adddate)`
`void` | `setAddresultfilesname(boolean add_result_filesnamein)`
`void` | `setAddTime(boolean addtime)`
`void` | `setCreateFolder(boolean createfolder)`
`void` | `setDateTimeFormat(String date_time_format)`
`void` | `setDirectory(String directoryPath)`
`void` | `setExportType(String export_type)`
`void` | `setIfFileExists(String iffileexists)`
`void` | `setNewFolder(boolean newfolder)`
`void` | `setNrLimit(String nr_errors_less_than)`
`void` | `setPassword(String password)`
`void` | `setRepositoryname(String repositoryname)`
`void` | `setSpecifyFormat(boolean SpecifyFormat)`
`void` | `setSuccessCondition(String success_condition)`
`void` | `setTargetfilename(String targetfilename)`
`void` | `setUsername(String username)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, copyVariablesFrom, environmentSubstitute, environmentSubstitute, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, resetErrorsBeforeExecution, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Field Detail

### If_FileExists_Skip

    public String If_FileExists_Skip

### If_FileExists_Fail

    public String If_FileExists_Fail

### If_FileExists_Overwrite

    public String If_FileExists_Overwrite

### If_FileExists_Uniquename

    public String If_FileExists_Uniquename

### Export_All

    public String Export_All

### Export_Jobs

    public String Export_Jobs

### Export_Trans

    public String Export_Trans

### Export_By_Folder

    public String Export_By_Folder

### Export_One_Folder

    public String Export_One_Folder

### SUCCESS_IF_ERRORS_LESS

    public String SUCCESS_IF_ERRORS_LESS

### SUCCESS_IF_NO_ERRORS

    public String SUCCESS_IF_NO_ERRORS

Constructor Detail

### JobEntryExportRepository

    public JobEntryExportRepository(String n)

### JobEntryExportRepository

    public JobEntryExportRepository()

### JobEntryExportRepository

    public JobEntryExportRepository(JobEntryBase jeb)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `JobEntryInterface`
  Overrides:
    `clone` in class `JobEntryBase`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `JobEntryInterface`
  Overrides:
    `getXML` in class `JobEntryBase`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### loadRep

    public void loadRep(Repository rep,
                        long id_jobentry,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `loadRep` in interface `JobEntryInterface`
  Overrides:
    `loadRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_job)
                 throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `saveRep` in interface `JobEntryInterface`
  Overrides:
    `saveRep` in class `JobEntryBase`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### setSuccessCondition

    public void setSuccessCondition(String success_condition)

### getSuccessCondition

    public String getSuccessCondition()

### setRepositoryname

    public void setRepositoryname(String repositoryname)

### getRepositoryname

    public String getRepositoryname()

### setUsername

    public void setUsername(String username)

### getUsername

    public String getUsername()

### setExportType

    public void setExportType(String export_type)

### getExportType

    public String getExportType()

### setIfFileExists

    public void setIfFileExists(String iffileexists)

### getIfFileExists

    public String getIfFileExists()

### setTargetfilename

    public void setTargetfilename(String targetfilename)

### getTargetfilename

    public String getTargetfilename()

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(String password)

  Parameters:
    `password` - The password to set.

### getDirectory

    public String getDirectory()

### getDateTimeFormat

    public String getDateTimeFormat()

### setDateTimeFormat

    public void setDateTimeFormat(String date_time_format)

### isSpecifyFormat

    public boolean isSpecifyFormat()

### setSpecifyFormat

    public void setSpecifyFormat(boolean SpecifyFormat)

### setAddTime

    public void setAddTime(boolean addtime)

### isAddTime

    public boolean isAddTime()

### isCreateFolder

    public boolean isCreateFolder()

### setCreateFolder

    public void setCreateFolder(boolean createfolder)

### setNewFolder

    public void setNewFolder(boolean newfolder)

### isNewFolder

    public boolean isNewFolder()

### setDirectory

    public void setDirectory(String directoryPath)

### setAddDate

    public void setAddDate(boolean adddate)

### isAddDate

    public boolean isAddDate()

### setAddresultfilesname

    public void setAddresultfilesname(boolean add_result_filesnamein)

### isAddresultfilesname

    public boolean isAddresultfilesname()

### setNrLimit

    public void setNrLimit(String nr_errors_less_than)

### getNrLimit

    public String getNrLimit()

### buildFilename

    public String buildFilename(String filename)

### buildUniqueFilename

    public String buildUniqueFilename(String filename)

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result previousResult,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)

  Specified by:
    `execute` in interface `JobEntryInterface`

### evaluates

    public boolean evaluates()

  Description copied from class: `JobEntryBase`
  check whether or not this job entry evaluates.

  Specified by:
    `evaluates` in interface `JobEntryInterface`
  Overrides:
    `evaluates` in class `JobEntryBase`
  Returns:
    true if the job entry evaluates

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD